For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Resources
Get started
ReferenceGuidesExamplesChangelog
ReferenceGuidesExamplesChangelog
  • Data API
    • Introduction
  • Token
    • GETGet Authorization User Info
    • GETGet Authorization Info
  • Sites
    • GETList Sites
    • GETGet Site
    • GETGet Custom Domains
    • POSTPublish Site
  • Pages and Components
  • CMS
  • Forms
  • Custom Code
  • Assets
  • Comments
    • GETList Comment Threads
    • GETGet Comment Thread
    • GETList Comment Replies
  • Ecommerce
  • Webhooks
    • GETList Webhooks
    • GETGet Webhook
    • POSTCreate Webhook
    • DELRemove Webhook
  • Site Configuration
  • Enterprise
LogoLogo
Resources
Get started
Webhooks

List Webhooks

GET
https://api.webflow.com/v2/sites/:site_id/webhooks
GET
/v2/sites/:site_id/webhooks
$curl https://api.webflow.com/v2/sites/580e63e98c9a982ac9b8b741/webhooks \
> -H "Authorization: Bearer <token>"
1{
2 "webhooks": [
3 {
4 "id": "57ca0a9e418c504a6e1acbb6",
5 "triggerType": "form_submission",
6 "url": "https://webhook.site/7f7f7f7f-7f7f-7f7f-7f7f-7f7f7f7f7f7f",
7 "workspaceId": "4f4e46fd476ea8c507000001",
8 "siteId": "562ac0395358780a1f5e6fbd",
9 "filter": {
10 "name": "Email Form"
11 },
12 "lastTriggered": "2023-02-08T23:59:28.572Z",
13 "createdOn": "2016-09-02T23:26:22.241Z"
14 },
15 {
16 "id": "578d85cce0c47cd2865f4cf2",
17 "triggerType": "form_submission",
18 "url": "https://webhook.site/7f7f7f7f-7f7f-7f7f-7f7f-7f7f7f7f7f7f",
19 "workspaceId": "4f4e46fd476ea8c507000001",
20 "siteId": "562ac0395358780a1f5e6fbd",
21 "filter": {
22 "name": "Email Form"
23 },
24 "lastTriggered": "2023-02-08T23:59:28.572Z",
25 "createdOn": "2016-07-19T01:43:40.585Z"
26 },
27 {
28 "id": "578d85cce0c47cd2865f4cf3",
29 "triggerType": "form_submission",
30 "url": "https://webhook.site/7f7f7f7f-7f7f-7f7f-7f7f-7f7f7f7f7f7f",
31 "workspaceId": "4f4e46fd476ea8c507000001",
32 "siteId": "562ac0395358780a1f5e6fbd",
33 "filter": {
34 "name": "Email Form"
35 },
36 "lastTriggered": "2023-02-08T23:59:28.572Z",
37 "createdOn": "2016-07-19T01:43:40.605Z"
38 }
39 ]
40}

List all App-created Webhooks registered for a given site

Required scope | sites:read

Was this page helpful?
Previous

Get Webhook

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

site_idstringRequiredformat: "objectid"
Unique identifier for a Site

Response

Request was successful
webhookslist of objects
paginationobject
Pagination object

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error